Package Details: ocaml-pcre 7.4.3-1

Git Clone URL: https://aur.archlinux.org/ocaml-pcre.git (read-only, click to copy)
Package Base: ocaml-pcre
Description: Perl compatible regular expressions for OCaml
Upstream URL: http://mmottl.github.io/pcre-ocaml
Licenses: custom:LGPL2.1 with linking exception
Conflicts: pcre-ocaml
Replaces: pcre-ocaml
Submitter: None
Maintainer: None
Last Packager: J5lx
Votes: 71
Popularity: 0.000006
First Submitted: 2011-09-17 10:16
Last Updated: 2020-05-03 14:14

Latest Comments

« First ‹ Previous 1 2 3 4

Anonymous comment on 2010-11-08 08:10

Here's an updated PKGBUILD+patch (mentioned below): http://paste.pocoo.org/show/287676/

Anonymous comment on 2010-11-08 08:05

Yes, out-of-date, and I've had issues with the package on 64-bit. A hackish solution to it:

--- pcre-ocaml.orig/src/pcre-ocaml-release-6.1.1/lib/Makefile
+++ pcre-ocaml/src/pcre-ocaml-release-6.1.1/lib/Makefile
@@ -3,7 +3,7 @@ OCAMLMAKEFILE = ../OCamlMakefile
SOURCES := pcre.mli pcre.ml pcre_stubs.c
CFLAGS := -O2 $(shell pcre-config --cflags)
PCRE_FLAGS := $(shell pcre-config --libs)
-OCAMLLDFLAGS := -cclib "$(PCRE_FLAGS)"
+OCAMLLDFLAGS := -cclib -lpcre_stubs -cclib "$(PCRE_FLAGS)"
OCAMLMKLIB_FLAGS := $(PCRE_FLAGS)
RESULT := pcre

zorun commented on 2010-11-02 15:01

Version 6.1.1 is out, and is needed to work properly with the new 3.12 release of Ocaml.